//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Name of the taxon identified, formed according to the different Codes of Nomenclature which apply to scientific names - with additional elements for suffixes or other expressions commonly used in taxonomic identifications.
 * 
 * <p>Java class for ScientificNameIdentified complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ScientificNameIdentified"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.tdwg.org/schemas/abcd/3.0}ScientificName"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IdentificationQualifier" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;simpleContent&gt;
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;string"&gt;
 *                 &lt;attribute name="insertionpoint"&gt;
 *                   &lt;simpleType&gt;
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}int"&gt;
 *                       &lt;enumeration value="1"/&gt;
 *                       &lt;enumeration value="2"/&gt;
 *                       &lt;enumeration value="3"/&gt;
 *                     &lt;/restriction&gt;
 *                   &lt;/simpleType&gt;
 *                 &lt;/attribute&gt;
 *               &lt;/extension&gt;
 *             &lt;/simpleContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="NameAddendum" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ScientificNameIdentified", propOrder = {
    "identificationQualifier",
    "nameAddendum"
})
public class ScientificNameIdentified
    extends ScientificName
{

    @XmlElement(name = "IdentificationQualifier")
    protected ScientificNameIdentified.IdentificationQualifier identificationQualifier;
    @XmlElement(name = "NameAddendum")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String nameAddendum;

    /**
     * Gets the value of the identificationQualifier property.
     * 
     * @return
     *     possible object is
     *     {@link ScientificNameIdentified.IdentificationQualifier }
     *     
     */
    public ScientificNameIdentified.IdentificationQualifier getIdentificationQualifier() {
        return identificationQualifier;
    }

    /**
     * Sets the value of the identificationQualifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link ScientificNameIdentified.IdentificationQualifier }
     *     
     */
    public void setIdentificationQualifier(ScientificNameIdentified.IdentificationQualifier value) {
        this.identificationQualifier = value;
    }

    /**
     * Gets the value of the nameAddendum property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNameAddendum() {
        return nameAddendum;
    }

    /**
     * Sets the value of the nameAddendum property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNameAddendum(String value) {
        this.nameAddendum = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;simpleContent&gt;
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;string"&gt;
     *       &lt;attribute name="insertionpoint"&gt;
     *         &lt;simpleType&gt;
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}int"&gt;
     *             &lt;enumeration value="1"/&gt;
     *             &lt;enumeration value="2"/&gt;
     *             &lt;enumeration value="3"/&gt;
     *           &lt;/restriction&gt;
     *         &lt;/simpleType&gt;
     *       &lt;/attribute&gt;
     *     &lt;/extension&gt;
     *   &lt;/simpleContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class IdentificationQualifier {

        @XmlValue
        protected String value;
        @XmlAttribute(name = "insertionpoint")
        protected Integer insertionpoint;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the insertionpoint property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getInsertionpoint() {
            return insertionpoint;
        }

        /**
         * Sets the value of the insertionpoint property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setInsertionpoint(Integer value) {
            this.insertionpoint = value;
        }

    }

}
